? create-swank-server.diff
? diff.diff
? swank-asd-and-openmcl.diff
Index: swank-openmcl.lisp
===================================================================
RCS file: /project/slime/cvsroot/slime/swank-openmcl.lisp,v
retrieving revision 1.54
diff -u -d -u -r1.54 swank-openmcl.lisp
--- swank-openmcl.lisp	19 Jan 2004 21:48:04 -0000	1.54
+++ swank-openmcl.lisp	21 Jan 2004 07:57:23 -0000
@@ -395,7 +395,7 @@
          (dolist (i info)
            (typecase (car i)
              ((member method)
-              (loop for (m . files) in (cdr i) 
+              (loop for (nil . files) in (cdr i) 
                     do (frob* files (list :function-name name))))
              ((member function variable method-combination)
               (frob* (cdr i) (list :function-name name)))
@@ -445,7 +445,7 @@
 (defslimefun sldb-abort ()
   (invoke-restart (find 'abort *sldb-restarts* :key #'restart-name)))
 
-(defslimefun eval-in-frame (form index)
+(defimplementation eval-in-frame (form index)
   (map-backtrace
    (lambda (frame-number p tcr lfun pc)
      (when (= frame-number index)
@@ -517,7 +517,7 @@
 
 ;;; XREF
 
-(defslimefun list-callers (symbol-name)
+(defimplementation list-callers (symbol-name)
   (let ((callers (ccl::callers (from-string symbol-name))))
     (group-xrefs 
      (mapcan (lambda (caller)
@@ -532,16 +532,7 @@
                           (find-source-locations caller (to-string caller))))))
              callers))))
 
-(defslimefun-unimplemented list-callees (symbol-name))
-
-(defslimefun-unimplemented who-calls (symbol-name))
-(defslimefun-unimplemented who-references (symbol-name package-name))
-(defslimefun-unimplemented who-binds (symbol-name package-name))
-(defslimefun-unimplemented who-sets (symbol-name package-name))
-(defslimefun-unimplemented who-macroexpands (symbol-name package-name))
-
 ;;; Macroexpansion
-(defslimefun-unimplemented swank-macroexpand-all (string))
 
 (defvar *value2tag* (make-hash-table))
 
Index: swank.asd
===================================================================
RCS file: /project/slime/cvsroot/slime/swank.asd,v
retrieving revision 1.1
diff -u -d -u -r1.1 swank.asd
--- swank.asd	22 Nov 2003 07:44:28 -0000	1.1
+++ swank.asd	21 Jan 2004 07:57:23 -0000
@@ -16,7 +16,15 @@
 ;; Then the Swank server is running on localhost:ACTUAL-PORT. You can
 ;; use `M-x slime-connect' to connect Emacs to it.
 
-(asdf:defsystem :swank
-    :depends-on (#+SBCL :sb-bsd-sockets)
-    :components ((:file "swank-loader")))
+(defclass uncompiled-cl-source-file (asdf:cl-source-file)
+  ())
+
+(defmethod asdf:operation-done-p ((op asdf:compile-op) (f uncompiled-cl-source-file))
+  t)
+
+(defmethod asdf:component-depends-on ((op asdf:load-op) (f uncompiled-cl-source-file))
+  nil)
 
+(asdf:defsystem :swank
+    :components ((:uncompiled-cl-source-file "swank-loader"))
+    :depends-on (#+SBCL :sb-bsd-sockets))
